%global momorel 1

%global artsver 1.2.1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global qtrel 1m
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global debug 0

Name: kdelibs
Summary: K Desktop Environment - Libraries

%{?include_specopt}
%{?!with_cups: %global with_cups 1}

#Icon: kde-icon.xpm
Version: %{kdever}
Release: %{momorel}m
# Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 d9d1c4bd2016a96f156b491ca908dc16
Patch1: kdelibs-3.0-noxs.patch
Patch2: kdelibs-3.0.0-ndebug.patch
Patch3: kdelibs-3.1-resize-icons.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
Patch6: kdelibs-3.0-rpath.patch
Patch8: kdelibs-3.1.1-lang.patch
Patch10: kdelibs-3.0.4-dtfix.patch
Patch11: kdelibs-3.1.93-lib64.patch
Patch14: kdelibs-3.1-ansi.patch
Patch16: kdelibs-3.1-ssl-krb5.patch
Patch20: kdelibs-3.0-gui_effect-20020415.patch
# http://www6.plala.or.jp/d-frog/kde.html
Patch21: http://www6.plala.or.jp/d-frog/kdelibs-3.1.3-khtml-spacefix-r1.patch.gz
Patch101: transkicker-highcolor.patch
Patch102: kdelibs-3.1.4-alsa-1.0.0.patch

Group: System Environment/Libraries
License: LGPL
Requires: qt >= %{qtver}-%{qtrel}, arts >= %{artsver}
Requires: hicolor-icon-theme
BuildPrereq: qt-devel >= %{qtver}-%{qtrel}, audiofile-devel >= 0.2.1, openssl-devel >= 0.9.6a, flex >= 2.5.4a-13, libxml2-devel >= 2.4.9, libxslt-devel >= 1.0.9, libpng >= 1.2.0
BuildPrereq: sgml-common, openjade, jadetex, docbook-dtds, docbook-style-dsssl, perl-SGMLSpm, pcre-devel, zlib-devel, arts-devel >= %{artsver}
BuildPrereq: gdbm-devel
Obsoletes: kdelibs-sound
Obsoletes: kdesupport
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: kde-i18n-Korean
Obsoletes: kde-i18n-Latvian

ExcludeArch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains a variety of libraries used by
KDE, including: kdecore, the KDE core library; kdeui, a user interface
library; kfm, the file manager; khtmlw, HTML widgets; kfile, for file
access; kspell, the spelling checker; jscript, for javascript; kab,
the addressbook; kimgio, for image manipulation; and arts, for sound,
mixing, and animation.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel >= %{qtver}, %{name} = %{version}, pcre-devel
Obsoletes: kdelibs-sound-devel
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE. The KDE API documentation is also included in
HTML format.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%patch1 -p1 -b .noxs~
%if %{debug} == 0
%patch2 -p1 -b .debug~
%endif
%patch3 -p1 -b .resize~
%patch4 -p1 -b .ksyscoca~
%patch6 -p1 -b .rpath~
%patch8 -p1 -b .lang~
# %patch9 -p1 -b .menu~
%patch10 -p1 -b .dtfix~
if [ "%_lib" = "lib64" ] ; then
%patch11 -p0 -b .lib64~
fi
%patch16 -p1 -b .ssl-krb5~

%patch20 -p1 -b .gui~
#%patch21 -p0 -b .khtml~

pushd kstyles/highcolor
%patch101 -p0 -b .trans-high~
popd

# Make the version number say what it should say
# perl -pi -e 's,#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING "%{version}-%{release}",g' kdecore/kapp.h

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

VERSION=`cat /etc/momonga-release |awk '{ print $4; }'`

%if %{debug}
export FLAGS="-O0 -g -DDEBUG=1"
%else
%ifnarch ppc
export FLAGS="-DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES"
%else
export FLAGS="-O3 -DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES"
%endif
%endif

export CFLAGS_="%{optflags} -fno-exceptions $FLAGS -D_GNU_SOURCE"
export CXXFLAGS_="-fno-rtti -fno-check-new $CFLAGS_"

if [ `gcc -dumpversion` = "3.3" ]; then
FLAGS="$FLAGS -fno-stack-protector"
fi

CXXFLAGS="$CXXFLAGS_" CFLAGS="$CFLAGS_" ./configure \
	--prefix=%{_prefix} \
        --sysconfdir=%{_sysconfdir} \
%if %{with_cups}
	--enable-cups \
%endif
	--enable-mitshm \
%if "%{debug}" == "0"
        --disable-debug \
        --without-debug \
        --enable-final \
%endif
        --enable-mt \
	--with-distribution="Momonga Linux $VERSION" \
	--disable-libfam --without-libfam \
	--with-alsa \
	--with-xinerama 

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" make %{?_smp_mflags}
make apidox

%install
rm -rf %{buildroot}
export QTDIR=%{qtdir} KDEDIR=%{kdedir}
make DESTDIR=%{buildroot} install

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-%{version}
popd

chmod a+x %{buildroot}%{_prefix}/lib/*


# Make symlinks relative
pushd %{buildroot}/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done
popd

install -m 644 KDE2PORTING.html %{buildroot}%{_docdir}/%{name}-devel-%{version}

# remove them because conflicting with kaffeine.
rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-asf.desktop
rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-wmv.desktop
rm -f %{buildroot}%{_datadir}/services/mms.protocol

# remove to avoid conflict with hicolor-icon-theme
# hicolor/index.theme is provided by hicolor-icon-theme
rm -rf %{buildroot}%{_datadir}/icons/hicolor

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/menus/applications.menu
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(4755,root,root) %{_bindir}/kgrantpty
%{_bindir}/artsmessage
%{_bindir}/checkXML
%{_bindir}/cupsdconf
%{_bindir}/cupsdoprint
%{_bindir}/dcop
%{_bindir}/dcopclient
%{_bindir}/dcopfind
%{_bindir}/dcopidl
%{_bindir}/dcopidl2cpp
%{_bindir}/dcopidlng
%{_bindir}/dcopobject
%{_bindir}/dcopquit
%{_bindir}/dcopref
%{_bindir}/dcopserver
%{_bindir}/dcopserver_shutdown
%{_bindir}/dcopstart
%{_bindir}/imagetops
%{_bindir}/kab2kabc
%{_bindir}/kaddprinterwizard
%{_bindir}/kbuildsycoca
%{_bindir}/kconf_update
%{_bindir}/kconfig_compiler
%{_bindir}/kcookiejar
%{_bindir}/kde-config
%{_bindir}/kde-menu
%{_bindir}/kded
%{_bindir}/kdeinit
%{_bindir}/kdeinit_shutdown
%{_bindir}/kdeinit_wrapper
%{_bindir}/kdesu_stub
%{_bindir}/kdontchangethehostname
%{_bindir}/kfile
%{_bindir}/kfmexec
%{_bindir}/kimage_concat
%{_bindir}/kinstalltheme
%{_bindir}/kio_http_cache_cleaner
%{_bindir}/kio_uiserver
%{_bindir}/kioexec
%{_bindir}/kioslave
%{_bindir}/klauncher
%{_bindir}/kmailservice
%{_bindir}/ksendbugmail
%{_bindir}/kshell
%{_bindir}/ksvgtopng
%{_bindir}/ktelnetservice
%{_bindir}/ktradertest
%{_bindir}/kwrapper
%{_bindir}/lnusertemp
%{_bindir}/make_driver_db_cups
%{_bindir}/make_driver_db_lpr
%{_bindir}/meinproc
%{_bindir}/preparetips
%{_libdir}/*
#%{_datadir}/applnk
%{_datadir}/applications
%{_datadir}/apps
%{_datadir}/autostart
%dir %{_datadir}/config
%dir %{_datadir}/config/colors
%dir %{_datadir}/config/ui
%config %{_datadir}/config/colors/*
%config %{_datadir}/config/k*
%config %{_datadir}/config/language.codes
%config %{_datadir}/config/ui/*
%{_datadir}/icons
%{_datadir}/locale/all_languages
%{_datadir}/mimelnk
%{_datadir}/services
%{_datadir}/servicetypes
%{_datadir}/doc/HTML/en/common
%{_datadir}/doc/HTML/en/kspell

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel-%{version}
%doc %{_docdir}/HTML/en/kdelibs*
%{_includedir}/arts/*
%{_includedir}/*.h
%{_includedir}/kde.pot
%{_includedir}/*.tcc
%{_includedir}/dom
%{_includedir}/kabc
%{_includedir}/kate
%{_includedir}/kdeprint
%{_includedir}/kdesu
%{_includedir}/khexedit
%{_includedir}/kio
%{_includedir}/kjs
%{_includedir}/kparts
%{_includedir}/ktexteditor
%{_includedir}/libkmid
%{_includedir}/kmediaplayer
%{_includedir}/kresources
%{_includedir}/ksettings

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Tue May 25 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.3-4m)
- fixed vulnerability in the mailto handler, CAN-2004-0411
- fixed KDE Telnet URI Handler File Vulnerability , CAN-2004-0411

* Fri May 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.3-3m)
- kde-i18n-Azerbaijani and kde-i18n-Icelandic is exist.

* Sat May 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-2m)
- remove /usr/share/icons/hicolor/index.theme which is provided by hicolor-icon-theme
- add Requires: hicolor-icon-theme

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.2.1-3m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.1-2m)
- revised spec to avoid conflicting with kaffeine.

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Tue Feb 17 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.0-2m)
- use %%patch macro for Patch101

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- add --sysconfdir argument to ./configure (for %%{_sysconfdir}/xdg/menus)
- following patches can't be applied (so are omitted now)
- - Patch5: kdelibs-2.1.1-path.patch
- - Patch7: kdelibs-3.0.2-dock.patch
- - Patch12: kioslavetest.patch
- - Patch13: metatest.patch
- - Patch15: kdelibs-3.1-buildroot.patch
- - Patch18: kdelibs-3.1-icon_scale.patch
- - Patch21: http://www6.plala.or.jp/d-frog/kdelibs-3.1.3-khtml-spacefix-r1.patch.gz
- - Patch30: kdelibs-3.1.3a-xandr.patch
- replace following patches by patches from Fedora
- - Patch11: kdelibs-3.1-lib64.patch -> kdelibs-3.1.93-lib64.patch
- change the way doc build (make apidox)
- modified %files (many new files)

* Thu Jan 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.5-2m)
- include again %%{_datadir}/mimelnk/application/x-kword.desktop, etc.
- Without these files, applications in koffice couldn't have saved files 
  with their native formats for a long time... now fixed!

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Tue Jan  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-6m)
- put kdelibs-3.1.3-khtml-spacefix-r1.patch.gz into repository 

* Tue Jan  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-5m)
- import IE compatible space handling patch for khtml

* Thu Dec 25 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against qt-3.2.3 (merge from QT322 branch)

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-3m)
- remove -fno-rtti, -fno-check-new from CFLAGS for configure to detect availability of -fPIC option 
- add patch fot alsa-1.0.0

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.4-2m)
- rebuild against gdbm-1.8.0

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4
  - changes  are 
    * Allows compilation against Qt 3.2.x
    * kio: only cache successful passwords, otherwise its impossible to re-enter a password when it failed authorisation the first time.
    * other changes are listed in http://www.kde.org/announcements/changelogs/changelog3_1_3to3_1_4.php
     
* Wed Jul 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3
  - changes are
    * keramik: Major fixes to toolbar gradient alignment, as well as some miscellaneous fixes.
    * SECURITY: kio/khtml: Improve referer handling, always strip out username and password.

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- add security patches from
     [Kuser:04021] KDE SECURITY:  Konqueror Referer Leaking Website Authentication Credentials
- remove --disable-warnings from configure

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- add -fno-stack-protector if gcc is 3.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- remove --disable-warnings from configure

* Thu May 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     https authentication through proxy fixed.  
     KZip failed for some .zip archives.  
     Fixed a bug in socket code that made KDEPrint crash.  
     kspell: Support for Hebrew spell checking using hspell (requires hspell 0.5).
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

# make -f Makefile.cvs

* Sun May 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-4m)
- export _POSIX2_VERSION=199209

* Thu May  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-3m)
- Kondara MNU/Linux -> Momonga Linux

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-2m)
  fix keramik style

* Fri Apr 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-1m)
  update to 3.1.1a

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- specopt
- enable cups by default
- update to 3.1.1
    kdialog: Fix screen numbering problem for centerOnScreen() static method 
    kprogress: Fix math problem in displaying correct percentage for large numbers 
    kio_http: Fix data processing for webdav(s) listing of directories and files
    Fixed code completion drop-down box position
    kate: Many small bugfixes, including: 
      Fixed code completion drop-down box position
      Fixed "wrap cursor disabled" bugs
      Fixed vertical scrollbar middle mouse behaviour
      Fixed remove whitespace feature
      Now clears the redo history when it is irrelevant
      Fixed crash after starting up with a non-existant directory in the file selector history
    kparts: Fix extension of transparently downloaded files, this fixes ark (used to display temp file instead of archive content) 
    klauncher: Fixed support for "Path=" entry in .desktop files. This entry can be used to specify a working directory. 
    kio: Don't let ChModJob's -X emulation interfere with mandatory file locking.
    kdeui: Fix for alternate background coloring in Konqueror list views.
    kdeui: Fix to prevent an event loop in conjunction with Qt 3.1.2.
    kio/bookmarks: Properly handle multiple shown bookmarks with the same URL; fixes crash on exit in Konqueror when bookmarkbar is on and some bookmarks points to the same place
    kstyles: Handle focus indicators on label-less checkboxes better
    kdeprint: Don't freeze when there is no route to the selected CUPS server
    SSL: add support for OpenSSL 0.9.7
    SSL: ADH ciphers are now explicitly disabled in all cases
    SSL: new CA root certificate added
    Several Xinerama related fixes
    QXEmbed fixes for various situations that don't handle XEMBED well
    Java on IRIX with SGI 1.2 VM is fixed
    khtml: Several major bugfixes, partially incorporated fixes from Safari as well.

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-6m)
- add URL

* Thu Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1-5m)
  rebuild against openssl 0.9.7a

* Thu Feb 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-4m)
- add Obsoletes: kde-i18n-Azerbaijani
- add Obsoletes: kde-i18n-Korean
- add Obsoletes: kde-i18n-Icelandic
- add Obsoletes: kde-i18n-Latvian

* Sat Feb 08 2003 TAKAHASHI Tamotsu <tamo>
- (3.1-3m)
- do not apply lib64 patch if _lib != lib64
 (if you want to build kdelibs on lib64 machine,
  you need to do more fixes)

* Wed Feb 05 2003 TAKAHASHI Tamotsu <tamo>
- (3.1-2m)
- Patch11: kdelibs-3.1-lib64.patch (from SUSE kdelibs3-3.1-0)

* Sat Feb  1 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.1-1m)
- ver up.

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-2m)
- rebuild against qt-3.0.5-8m.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Thu Jan 2 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.4-3m)
- add BuildPrereq: kernel >= 2.4.18-119m
  for deviceman.cc require sound/asound.h and sound/asequencer.h

* Tue Dec 10 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Thu Sep 12 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-3m)
- update to kdelibs-3.0.3a by security fixes.

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against arts-1.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- remove patch1.

* Thu Jun 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.1-6k)
- momonga-release

* Tue Jun 18 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-4k)
- add transrate patch for highcolor & keramik style.
- ( See http://kde-look.org/content/show.php?content=2177 )
- change build options. ( use %{optflags} ).

* Sun Jun 09 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Mon May 20 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-10k)
- no more docbook-utils.

* Sat Apr 20 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-8k)
- applied kdelibs-3.0-gui_effect-20020415.patch

* Tue Apr  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-6k)
- add keramik kstyle from kdelibs-3.0rc3
- (keramik kstyle is a alpha-blending style.)
- applied kdelibs-3.0-kate-charset-20020407.diff

* Wed Apr  5 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-4k)
- remove kde-i18n-Norwegian kde-i18n-Norwegian-Nynorsk from Obsolutes

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003004k)
- rebuild.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.
- arts has been separated.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-12k)
- nigirisugi.
- revised spec file.

* Tue Nov  6 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.1-10k)
- update libxslt patch for new libxslt

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- revised spec file.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- rebuild against libpng 1.2.0.

* Sat Oct 13 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- added debug flag.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Tue Sep 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-6k)
- add ppc support.

* Mon Aug 20 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Wed Aug  9 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.
- Obsolete kdesupport, kdesupport-devel

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002004k)
- based on 2.2alpha2.

* Wed May 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001004k)
- Ummmm. KDE 2.2alpha1 is disappeared :-P

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Sat Apr 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.2alpha1-2k)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-6k)
- rebuild against openssl 0.9.6.

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-5k)
- rebuild against audiofile-0.2.1.

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- [2.1.1-3k]

* Tue Mar 20 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-6k]
- obsolete sound, sound-devel.

* Fri Mar 16 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-2k]

* Mon Jan 21 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-14k]
- backport 2.0.1-15k(Jirai).

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Mon Jan 01 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k.

* Mon Jan 01 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- rebuild against.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against audiofile-0.2.0.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Thu Dec 07 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Fri Nov 24 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-7k]
- klauncher.la change package kdelibs-devel to kdelibs.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-6k]
- rebuild against egcs++.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-5k]
- rebuild against new environment XFree86-4.0.1-39k.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment gcc-2.95.2, glibc-2.2.
- obsolete kdelibs-2.0-khtml-m17n-20001024.diff

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Wed Nov 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-2k]
- update kdelibs-2.0-gcc296.patch.

* Wed Nov 01 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- update kdelibs-2.0-gcc296.patch
- update kdelibs-2.0-khtml-m17n-20001024.diff.
- add kdelibs-2.0-artswrapper.patch.
- dcopserver.la change package kdelibs-devel to kdelibs.
- bugfix %files sections.
- add GIF Support switch.
- release.

* Tue Oct 24 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- [2.0-0.1k]
- update to 2.0

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- [2.0rc2-0.5k]
- add kdelibs-2.0rc2-khtml-egcs112.diff for egcs-1.1.2 :-P

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.4k]
- modified Requires,BuildPrereq.

* Wed Oct 18 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.3k]
- add kdelibs-2.0rc2-khtml-m17n-20001013.diff.
- modified Requires,BuildPrereq 

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- enable debug mode.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- little bit fixed specfile.

* Wed Oct 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Thu Sep 23 2000 Kenichi Matsubara <m@kondara.org>
- bugfix specfile.[%files sections.]

* Wed Sep 20 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Fri Jun 23 2000 Kenichi Matsubara <m@kondara.org>
- add kdelibs-1.91-without-openssl-kondara.patch.

* Mon Jun 19 2000 Kenichi Matsubara <m@kondara.org>
- update 1.91.

* Tue May 16 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
